Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
quizlist.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZQuizMain", "Language" )
| $ListLimit = $ini->variable( "eZQuizMain", "ListLimit" )
| $intl = new eZINI( "kernel/ezquiz/user/intl/". $Language . "/quiz.php.ini" )
| $Limit = $ListLimit
| $t
| $game = new eZQuizGame()
| $score = new eZQuizScore()
switch( $Action) if( $isGame) | else
| $locale = new eZLocale( $Language )

## Variable Documentation

## ◆ $game

$game = new eZQuizGame()

Definition at line 60 of file quizlist.php.

Referenced by eZQuizScore\countAllByGame(), createQuizMenu(), eZQuizScore\getAllByGame(), eZQuizScore\getUserGame(), eZQuizScore\highScore(), eZQuizScore\scores(), eZQuizQuestion\setGame(), and eZQuizScore\setGame().

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 35 of file quizlist.php.

## ◆ $intl

$intl = new eZINI( "kernel/ezquiz/user/intl/". $Language . "/quiz.php.ini" )

Definition at line 40 of file quizlist.php.

## ◆ $Language

$Language = $ini->variable( "eZQuizMain", "Language" )

Definition at line 37 of file quizlist.php.

## ◆ $Limit

$Limit = $ListLimit

Definition at line 41 of file quizlist.php.

## ◆ $ListLimit

$ListLimit = $ini->variable( "eZQuizMain", "ListLimit" )

Definition at line 38 of file quizlist.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 115 of file quizlist.php.

## ◆ $score

$score = new eZQuizScore()

Definition at line 61 of file quizlist.php.

Referenced by createQuizMenu(), and eZQuizScore\setTotalScore().

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezquiz/user/" . $ini->variable( "eZQuizMain", "TemplateDir" ),
"kernel/ezquiz/user/intl/", $Language, "quiz.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: quizlist.php:37
$ini
$ini
Definition: quizlist.php:35

Definition at line 43 of file quizlist.php.

## ◆ else

if ($count > 0 &&$isGame) elseif ($count > 0 &&$isScore) else

Initial value:
{
$count = count( $scores )
$count
$count
Definition: onlinetypelist.php:108
$scores
$scores
Definition: quizscores.php:78

Definition at line 111 of file quizlist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.